#ifndef UPGRADEAPKDIALOG_H
#define UPGRADEAPKDIALOG_H

#include <LoQClass/loqdialog.h>
#include <QTreeWidgetItem>
#include "wupgradeapkitem.h"
namespace Ui {
class UpgradeApkDialog;
}

class UpgradeApkDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UpgradeApkDialog(QWidget *parent = nullptr,QString strProgramName="",QString strProgramPath="");
    ~UpgradeApkDialog();
protected slots:
    void onRefresh();
    void onRefreshAuto();
    void onUpgradeApk();
    void onUpgradeFpga();
    void onMaxWnd();
    void onSelectApk();
    void onSelectFpga();
    void FilterProgram(const QString &strtemp);
    void OnComboApkChanged(int index);
    void onUninstall();
    void onCheckRuningState();

private:
        void onAddLedCard(LedCard *p);
private:
    Ui::UpgradeApkDialog *ui;
    QTreeWidgetItem *m_headerItem=nullptr;
    QList<wUpgradeApkItem *> m_pwDeviceItemList;
    QTimer * m_pTimer=nullptr;
    QString m_strProgramName="";
    QString m_strProgramPath="";
    QString m_strUrl="";
protected:

    virtual void keyPressEvent(QKeyEvent *ev);
//    virtual void mousePressEvent(QMouseEvent *event);

};


#endif // UpgradeApkDialog_H
